Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.util.qjmlWizard
Class WComment

    java.lang.Object
      |
      +--javax.swing.tree.DefaultMutableTreeNode
            |
            +--com.jxml.quick.util.qjmlWizard.WComment

All Implemented Interfaces:
  Cloneable, MutableTreeNode, QBiModal, Serializable, TreeNode, WAtt

public class WComment
extends DefaultMutableTreeNode
implements QBiModal, WAtt

See Also:
  Serialized Form

Field Summary
`String[]` | `atts`
`String` | `data`

Fields inherited from class javax.swing.tree.DefaultMutableTreeNode
`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

Constructor Summary
`WComment()`

Method Summary
`WComment` | `copy()`
`boolean` | `editAtt(int i, Wizard wizard)`
`void` | `eval(Wizard wizard)`
`String[]` | `getAtts()`
`String` | `getQText()`
`void` | `pasteAdd(WAtt elementBuffer, DefaultTreeModel dtm)`
`void` | `pasteAfter(WAtt elementBuffer, DefaultTreeModel dtm)`
`void` | `pasteBefore(WAtt elementBuffer, DefaultTreeModel dtm)`
`void` | `pasteReplace(WAtt elementBuffer, DefaultTreeModel dtm)`
`void` | `pasteUpdate(WAtt elementBuffer, DefaultTreeModel dtm)`
`void` | `removeFromParent(DefaultTreeModel dtm)`
`void` | `setErrors(Wizard wizard)`
`void` | `setQText(String text)`
`void` | `update()`

Methods inherited from class javax.swing.tree.DefaultMutableTreeNode
`add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### data

    public String data

### atts

    public String[] atts

Constructor Detail

### WComment

    public WComment()

Method Detail

### getQText

    public String getQText()

  Specified by:
    `getQText` in interface `QBiModal`

### setQText

    public void setQText(String text)

  Specified by:
    `setQText` in interface `QBiModal`

### update

    public void update()

### getAtts

    public String[] getAtts()

  Specified by:
    `getAtts` in interface `WAtt`

### editAtt

    public boolean editAtt(int i,
                           Wizard wizard)

  Specified by:
    `editAtt` in interface `WAtt`

### removeFromParent

    public void removeFromParent(DefaultTreeModel dtm)

  Specified by:
    `removeFromParent` in interface `WAtt`

### copy

    public WComment copy()

### eval

    public void eval(Wizard wizard)

  Specified by:
    `eval` in interface `WAtt`

### pasteBefore

    public void pasteBefore(WAtt elementBuffer,
                            DefaultTreeModel dtm)

  Specified by:
    `pasteBefore` in interface `WAtt`

### pasteAfter

    public void pasteAfter(WAtt elementBuffer,
                           DefaultTreeModel dtm)

  Specified by:
    `pasteAfter` in interface `WAtt`

### pasteReplace

    public void pasteReplace(WAtt elementBuffer,
                             DefaultTreeModel dtm)

  Specified by:
    `pasteReplace` in interface `WAtt`

### pasteUpdate

    public void pasteUpdate(WAtt elementBuffer,
                            DefaultTreeModel dtm)

  Specified by:
    `pasteUpdate` in interface `WAtt`

### pasteAdd

    public void pasteAdd(WAtt elementBuffer,
                         DefaultTreeModel dtm)

  Specified by:
    `pasteAdd` in interface `WAtt`

### setErrors

    public void setErrors(Wizard wizard)

  Specified by:
    `setErrors` in interface `WAtt`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD